# Class CAItemLocationMatchExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CAItemLocationMatchExpressions

All Implemented Interfaces:
  `CASyntaxType`

public final class CAItemLocationMatchExpressions extends CAExpressions
Expression parsers for location match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAItemLocationMatchExpressions(CAStrings inStrings)`
  Expression parsers for location match expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CALocationMatchType`
  `locationMatch(String text)`
  Parse a match expression for locations.
  `com.io7m.jsx.SExpressionType`
  `locationMatchSerialize(CALocationMatchType match)`
  Serialize a match expression for locations.
  `String`
  `locationMatchSerializeToString(CALocationMatchType match)`
  Serialize a match expression for locations.
  `SortedSet<CASyntaxRuleType>`
  `syntaxRules()`

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, ruleBranch, ruleLeaf, ruleLeafWithExamples, serialize, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAItemLocationMatchExpressions

    public CAItemLocationMatchExpressions(CAStrings inStrings)
    Expression parsers for location match expressions.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### locationMatch

    public CALocationMatchType locationMatch(String text) throws CAException
    Parse a match expression for locations.
    Parameters:
      `text` - The input location
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### locationMatchSerialize

    public com.io7m.jsx.SExpressionType locationMatchSerialize(CALocationMatchType match)
    Serialize a match expression for locations.
    Parameters:
      `match` - The input match
    Returns:
      A match expression

  - ### locationMatchSerializeToString

    public String locationMatchSerializeToString(CALocationMatchType match) throws CAException
    Serialize a match expression for locations.
    Parameters:
      `match` - The input match
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### syntaxRules

    public SortedSet<CASyntaxRuleType> syntaxRules()
    Returns:
      The syntax rules